--- old/usr/src/uts/armv6/loader/fakeloader_core.s	2015-01-25 13:29:12.640640689 -0500
+++ new/usr/src/uts/armv6/loader/fakeloader_core.s	2015-01-25 13:29:12.648741668 -0500
@@ -11,6 +11,7 @@
 
 /*
  * Copyright 2013 (c) Joyent, Inc. All rights reserved.
+ * Copyright 2015 (c) Josef 'Jeff' Sipek <jeffpc@josefsipek.net>
  */
 
 /*
@@ -19,7 +20,15 @@
 
 #include <sys/asm_linkage.h>
 
-	ENTRY(_start)
+/*
+ * We put _start into the .text.init section so we can more easily shove it
+ * at the front of the .text.
+ */
+	.section .text.init
+	.align	4
+	.globl	_start
+	.type	_start, %function
+_start:
 	mov	sp, #0x8000
 	/*
 	 * XXX manually fix up the tag start
@@ -102,9 +111,7 @@
 
 
 	ENTRY(fakeload_exec)
-	mov	r4, r0
-	mov	r2, #0x100
-	blx	r4
+	blx	r3
 	/* We should never execute this. If we do we'll go back to a panic */
 	bx	lr
 	SET_SIZE(fakeload_exec)
